# PCASMGetLocalSubmatrices

Gets the local submatrices (for this processor only) for the additive Schwarz preconditioner.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCASMGetLocalSubmatrices(PC pc,PetscInt *n,Mat *mat[])

Collective on PC

### Input Parameter

pc -the preconditioner context

### Output Parameters

| n | - the number of matrices for this processor (default value = 1)
| mat | - the matrices

### Keywords

PC, ASM, set, local, subdomains, additive Schwarz, block Jacobi

### See Also

PCASMSetTotalSubdomains(), PCASMSetOverlap(), PCASMGetSubKSP(),
PCASMCreateSubdomains2D(), PCASMSetLocalSubdomains(), PCASMGetLocalSubdomains()

Level:advanced
Location: src/ksp/pc/impls/asm/asm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages